Skip to main content

Atrium API

Verify

The verify endpoint begins a verification process for a member. It gathers information about account and routing numbers. Partners may optionally choose to include transaction data in this request, potentially avoiding a separate aggregate member request.

The verification workflow is similar to standard aggregation: Start the verification, poll the connection status, answer MFA if necessary by using the list member MFA challenges endpoint and the resume from MFA endpoint, poll the status again, then read the member's account numbers.

For more information on this and other aggregation-type processes, please see our developer guide.

Errors

  1. If a verification is already running, a 202 Accepted status will be returned.
  2. If an institution does not support verification, a 400 Bad Request error will be returned.
  3. If verification is not enabled, a 403 Forbidden status will be returned. If you see 403 Forbidden but the member's institution nevertheless shows that verification is enabled, please contact support by submitting a ticket.
  4. If another aggregation-type process is already running — like standard aggregation or extended transaction history — a 409 Conflict will be returned.
POST
/users/{user_guid}/members/{member_guid}/verify

Request Body

FieldRequiredType

include_transactions

When set to true, the verification will gather transaction data along with account number data. Defaults to false.

Optional
Boolean

Request sample

Language:sh

_10
curl -i -X POST 'https://vestibule.mx.com/users/{user_guid}/members/{member_guid}/verify' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'Content-Type: application/json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_15
{
_15
"member": {
_15
"aggregated_at": "2018-06-25T20:04:19Z",
_15
"connection_status": "CONNECTED",
_15
"identifier": "mxbank_ds",
_15
"status": "INITIATED",
_15
"successfully_aggregated_at": "2018-06-25T19:45:01Z",
_15
"guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
_15
"institution_code": "6930ee63-16b3-fc5e-ab48-18bbc39379d0",
_15
"is_being_aggregated": true,
_15
"metadata": null,
_15
"name": "MX Bank",
_15
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
_15
}
_15
}